diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_drop_all_priv.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_drop_all_priv.sql
index 949fe0cd..1fb2031e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_drop_all_priv.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_drop_all_priv.sql
@@ -1,6 +1,6 @@
 -- View: public.testmview_$%{}[]()&*^!/@`#
 
--- DROP MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#";
+-- DROP MATERIALIZED VIEW IF EXISTS public."testmview_$%{}[]()&*^!/@`#";
 
 CREATE MATERIALIZED VIEW IF NOT EXISTS public."testmview_$%{}[]()&*^!/@`#"
 TABLESPACE pg_default
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_remove_table_parameter.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_remove_table_parameter.sql
index 49b2625d..74c71465 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_remove_table_parameter.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/alter_mview_remove_table_parameter.sql
@@ -1,6 +1,6 @@
 -- View: public.testmview_$%{}[]()&*^!/@`#
 
--- DROP MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#";
+-- DROP MATERIALIZED VIEW IF EXISTS public."testmview_$%{}[]()&*^!/@`#";
 
 CREATE MATERIALIZED VIEW IF NOT EXISTS public."testmview_$%{}[]()&*^!/@`#"
 WITH (
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/create_mview.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/create_mview.sql
index 7541f284..08746274 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/create_mview.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/create_mview.sql
@@ -1,6 +1,6 @@
 -- View: public.testmview_$%{}[]()&*^!/@`#
 
--- DROP MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#";
+-- DROP MATERIALIZED VIEW IF EXISTS public."testmview_$%{}[]()&*^!/@`#";
 
 CREATE MATERIALIZED VIEW IF NOT EXISTS public."testmview_$%{}[]()&*^!/@`#"
 TABLESPACE pg_default
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/create_mview_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/create_mview_msql.sql
index 0f49fa60..cacc129a 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/create_mview_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/create_mview_msql.sql
@@ -1,4 +1,4 @@
-CREATE MATERIALIZED VIEW IF NOT EXISTS public."testmview_$%{}[]()&*^!/@`#"
+CREATE MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#"
 TABLESPACE pg_default
 AS
 SELECT 1
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/create_view_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/create_view_msql.sql
index a5c129a0..027b1b15 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/create_view_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/pg/9.4_plus/create_view_msql.sql
@@ -1,4 +1,4 @@
-CREATE OR REPLACE VIEW public."testview_$%{}[]()&*^!@""'`\/#"
+CREATE VIEW public."testview_$%{}[]()&*^!@""'`\/#"
 WITH (
   check_option=local
 ) AS
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/create_mview_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/create_mview_msql.sql
index 36b1dbc2..f02deb13 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/create_mview_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/create_mview_msql.sql
@@ -1,4 +1,4 @@
-CREATE MATERIALIZED VIEW IF NOT EXISTS public."testmview_$%{}[]()&*^!/@`#"
+CREATE MATERIALIZED VIEW public."testmview_$%{}[]()&*^!/@`#"
 TABLESPACE pg_default
 AS
 SELECT 1
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/create_view_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/create_view_msql.sql
index 831b3b5a..9b074cba 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/create_view_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/views/tests/ppas/9.4_plus/create_view_msql.sql
@@ -1,4 +1,4 @@
-CREATE OR REPLACE VIEW public."testview_$%{}[]()&*^!@""'`\/#"
+CREATE VIEW public."testview_$%{}[]()&*^!@""'`\/#"
 WITH (
   check_option=local
 ) AS
diff --git a/web/pgadmin/browser/server_groups/servers/resource_groups/tests/ppas/9.4_plus/alter_resource_group_name.sql b/web/pgadmin/browser/server_groups/servers/resource_groups/tests/ppas/9.4_plus/alter_resource_group_name.sql
index 2a053a53..df5ecc1c 100644
--- a/web/pgadmin/browser/server_groups/servers/resource_groups/tests/ppas/9.4_plus/alter_resource_group_name.sql
+++ b/web/pgadmin/browser/server_groups/servers/resource_groups/tests/ppas/9.4_plus/alter_resource_group_name.sql
@@ -1,6 +1,6 @@
 -- RESOURCE GROUP: Rg2_$%{}[]()&*^!@"'`\/#
 
--- DROP RESOURCE GROUP "Rg2_$%{}[]()&*^!@""'`\/#"
+-- DROP RESOURCE GROUP IF EXISTS "Rg2_$%{}[]()&*^!@""'`\/#"
 
 CREATE RESOURCE GROUP "Rg2_$%{}[]()&*^!@""'`\/#";
 
diff --git a/web/pgadmin/browser/server_groups/servers/resource_groups/tests/ppas/9.4_plus/alter_resource_group_options.sql b/web/pgadmin/browser/server_groups/servers/resource_groups/tests/ppas/9.4_plus/alter_resource_group_options.sql
index d64aea6a..57147139 100644
--- a/web/pgadmin/browser/server_groups/servers/resource_groups/tests/ppas/9.4_plus/alter_resource_group_options.sql
+++ b/web/pgadmin/browser/server_groups/servers/resource_groups/tests/ppas/9.4_plus/alter_resource_group_options.sql
@@ -1,6 +1,6 @@
 -- RESOURCE GROUP: Rg2_$%{}[]()&*^!@"'`\/#
 
--- DROP RESOURCE GROUP "Rg2_$%{}[]()&*^!@""'`\/#"
+-- DROP RESOURCE GROUP IF EXISTS "Rg2_$%{}[]()&*^!@""'`\/#"
 
 CREATE RESOURCE GROUP "Rg2_$%{}[]()&*^!@""'`\/#";
 
diff --git a/web/pgadmin/browser/server_groups/servers/resource_groups/tests/ppas/9.4_plus/create_resource_group.sql b/web/pgadmin/browser/server_groups/servers/resource_groups/tests/ppas/9.4_plus/create_resource_group.sql
index a0f5f191..43a70238 100644
--- a/web/pgadmin/browser/server_groups/servers/resource_groups/tests/ppas/9.4_plus/create_resource_group.sql
+++ b/web/pgadmin/browser/server_groups/servers/resource_groups/tests/ppas/9.4_plus/create_resource_group.sql
@@ -1,6 +1,6 @@
 -- RESOURCE GROUP: Rg1_$%{}[]()&*^!@"'`\/#
 
--- DROP RESOURCE GROUP "Rg1_$%{}[]()&*^!@""'`\/#"
+-- DROP RESOURCE GROUP IF EXISTS "Rg1_$%{}[]()&*^!@""'`\/#"
 
 CREATE RESOURCE GROUP "Rg1_$%{}[]()&*^!@""'`\/#";
 
diff --git a/web/pgadmin/browser/server_groups/servers/roles/tests/9.1_plus/alter_login_role_description.sql b/web/pgadmin/browser/server_groups/servers/roles/tests/9.1_plus/alter_login_role_description.sql
index 5cb6cf67..c2e3d46c 100644
--- a/web/pgadmin/browser/server_groups/servers/roles/tests/9.1_plus/alter_login_role_description.sql
+++ b/web/pgadmin/browser/server_groups/servers/roles/tests/9.1_plus/alter_login_role_description.sql
@@ -1,5 +1,5 @@
 -- Role: "Role1_$%{}[]()&*^!@""'`\/#"
--- DROP ROLE "Role1_$%{}[]()&*^!@""'`\/#";
+-- DROP ROLE IF EXISTS "Role1_$%{}[]()&*^!@""'`\/#";
 
 CREATE ROLE "Role1_$%{}[]()&*^!@""'`\/#" WITH
   LOGIN
diff --git a/web/pgadmin/browser/server_groups/servers/roles/tests/9.1_plus/alter_login_role_name.sql b/web/pgadmin/browser/server_groups/servers/roles/tests/9.1_plus/alter_login_role_name.sql
index c140f044..4ec6c0f9 100644
--- a/web/pgadmin/browser/server_groups/servers/roles/tests/9.1_plus/alter_login_role_name.sql
+++ b/web/pgadmin/browser/server_groups/servers/roles/tests/9.1_plus/alter_login_role_name.sql
@@ -1,5 +1,5 @@
 -- Role: "Role2_$%{}[]()&*^!@""'`\/#"
--- DROP ROLE "Role2_$%{}[]()&*^!@""'`\/#";
+-- DROP ROLE IF EXISTS "Role2_$%{}[]()&*^!@""'`\/#";
 
 CREATE ROLE "Role2_$%{}[]()&*^!@""'`\/#" WITH
   LOGIN
diff --git a/web/pgadmin/browser/server_groups/servers/roles/tests/9.1_plus/alter_login_role_options.sql b/web/pgadmin/browser/server_groups/servers/roles/tests/9.1_plus/alter_login_role_options.sql
index 046d0691..3d8db5d2 100644
--- a/web/pgadmin/browser/server_groups/servers/roles/tests/9.1_plus/alter_login_role_options.sql
+++ b/web/pgadmin/browser/server_groups/servers/roles/tests/9.1_plus/alter_login_role_options.sql
@@ -1,5 +1,5 @@
 -- Role: "Role2_$%{}[]()&*^!@""'`\/#"
--- DROP ROLE "Role2_$%{}[]()&*^!@""'`\/#";
+-- DROP ROLE IF EXISTS "Role2_$%{}[]()&*^!@""'`\/#";
 
 CREATE ROLE "Role2_$%{}[]()&*^!@""'`\/#" WITH
   LOGIN
diff --git a/web/pgadmin/browser/server_groups/servers/roles/tests/9.1_plus/alter_role_description.sql b/web/pgadmin/browser/server_groups/servers/roles/tests/9.1_plus/alter_role_description.sql
index ff2e6620..c3998071 100644
--- a/web/pgadmin/browser/server_groups/servers/roles/tests/9.1_plus/alter_role_description.sql
+++ b/web/pgadmin/browser/server_groups/servers/roles/tests/9.1_plus/alter_role_description.sql
@@ -1,5 +1,5 @@
 -- Role: "Role1_$%{}[]()&*^!@""'`\/#"
--- DROP ROLE "Role1_$%{}[]()&*^!@""'`\/#";
+-- DROP ROLE IF EXISTS "Role1_$%{}[]()&*^!@""'`\/#";
 
 CREATE ROLE "Role1_$%{}[]()&*^!@""'`\/#" WITH
   NOLOGIN
diff --git a/web/pgadmin/browser/server_groups/servers/roles/tests/9.1_plus/alter_role_name.sql b/web/pgadmin/browser/server_groups/servers/roles/tests/9.1_plus/alter_role_name.sql
index 5c757fc9..16fb4471 100644
--- a/web/pgadmin/browser/server_groups/servers/roles/tests/9.1_plus/alter_role_name.sql
+++ b/web/pgadmin/browser/server_groups/servers/roles/tests/9.1_plus/alter_role_name.sql
@@ -1,5 +1,5 @@
 -- Role: "Role2_$%{}[]()&*^!@""'`\/#"
--- DROP ROLE "Role2_$%{}[]()&*^!@""'`\/#";
+-- DROP ROLE IF EXISTS "Role2_$%{}[]()&*^!@""'`\/#";
 
 CREATE ROLE "Role2_$%{}[]()&*^!@""'`\/#" WITH
   NOLOGIN
diff --git a/web/pgadmin/browser/server_groups/servers/roles/tests/9.1_plus/alter_role_options.sql b/web/pgadmin/browser/server_groups/servers/roles/tests/9.1_plus/alter_role_options.sql
index fb8b74a7..5a0d12df 100644
--- a/web/pgadmin/browser/server_groups/servers/roles/tests/9.1_plus/alter_role_options.sql
+++ b/web/pgadmin/browser/server_groups/servers/roles/tests/9.1_plus/alter_role_options.sql
@@ -1,5 +1,5 @@
 -- Role: "Role2_$%{}[]()&*^!@""'`\/#"
--- DROP ROLE "Role2_$%{}[]()&*^!@""'`\/#";
+-- DROP ROLE IF EXISTS "Role2_$%{}[]()&*^!@""'`\/#";
 
 CREATE ROLE "Role2_$%{}[]()&*^!@""'`\/#" WITH
   NOLOGIN
diff --git a/web/pgadmin/browser/server_groups/servers/roles/tests/9.1_plus/create_login_role.sql b/web/pgadmin/browser/server_groups/servers/roles/tests/9.1_plus/create_login_role.sql
index 1b9a2979..478dec60 100644
--- a/web/pgadmin/browser/server_groups/servers/roles/tests/9.1_plus/create_login_role.sql
+++ b/web/pgadmin/browser/server_groups/servers/roles/tests/9.1_plus/create_login_role.sql
@@ -1,5 +1,5 @@
 -- Role: "Role1_$%{}[]()&*^!@""'`\/#"
--- DROP ROLE "Role1_$%{}[]()&*^!@""'`\/#";
+-- DROP ROLE IF EXISTS "Role1_$%{}[]()&*^!@""'`\/#";
 
 CREATE ROLE "Role1_$%{}[]()&*^!@""'`\/#" WITH
   LOGIN
diff --git a/web/pgadmin/browser/server_groups/servers/roles/tests/9.1_plus/create_role.sql b/web/pgadmin/browser/server_groups/servers/roles/tests/9.1_plus/create_role.sql
index 7b922588..fd191d4c 100644
--- a/web/pgadmin/browser/server_groups/servers/roles/tests/9.1_plus/create_role.sql
+++ b/web/pgadmin/browser/server_groups/servers/roles/tests/9.1_plus/create_role.sql
@@ -1,5 +1,5 @@
 -- Role: "Role1_$%{}[]()&*^!@""'`\/#"
--- DROP ROLE "Role1_$%{}[]()&*^!@""'`\/#";
+-- DROP ROLE IF EXISTS "Role1_$%{}[]()&*^!@""'`\/#";
 
 CREATE ROLE "Role1_$%{}[]()&*^!@""'`\/#" WITH
   NOLOGIN
diff --git a/web/pgadmin/browser/server_groups/servers/roles/tests/9.4_plus/alter_login_role_description.sql b/web/pgadmin/browser/server_groups/servers/roles/tests/9.4_plus/alter_login_role_description.sql
index 6098d25c..9adaa120 100644
--- a/web/pgadmin/browser/server_groups/servers/roles/tests/9.4_plus/alter_login_role_description.sql
+++ b/web/pgadmin/browser/server_groups/servers/roles/tests/9.4_plus/alter_login_role_description.sql
@@ -1,5 +1,5 @@
 -- Role: "Role1_$%{}[]()&*^!@""'`\/#"
--- DROP ROLE "Role1_$%{}[]()&*^!@""'`\/#";
+-- DROP ROLE IF EXISTS "Role1_$%{}[]()&*^!@""'`\/#";
 
 CREATE ROLE "Role1_$%{}[]()&*^!@""'`\/#" WITH
   LOGIN
diff --git a/web/pgadmin/browser/server_groups/servers/roles/tests/9.4_plus/alter_login_role_name.sql b/web/pgadmin/browser/server_groups/servers/roles/tests/9.4_plus/alter_login_role_name.sql
index 7e4c5e33..5fa66475 100644
--- a/web/pgadmin/browser/server_groups/servers/roles/tests/9.4_plus/alter_login_role_name.sql
+++ b/web/pgadmin/browser/server_groups/servers/roles/tests/9.4_plus/alter_login_role_name.sql
@@ -1,5 +1,5 @@
 -- Role: "Role2_$%{}[]()&*^!@""'`\/#"
--- DROP ROLE "Role2_$%{}[]()&*^!@""'`\/#";
+-- DROP ROLE IF EXISTS "Role2_$%{}[]()&*^!@""'`\/#";
 
 CREATE ROLE "Role2_$%{}[]()&*^!@""'`\/#" WITH
   LOGIN
diff --git a/web/pgadmin/browser/server_groups/servers/roles/tests/9.4_plus/alter_login_role_options.sql b/web/pgadmin/browser/server_groups/servers/roles/tests/9.4_plus/alter_login_role_options.sql
index 65008dee..4b91d548 100644
--- a/web/pgadmin/browser/server_groups/servers/roles/tests/9.4_plus/alter_login_role_options.sql
+++ b/web/pgadmin/browser/server_groups/servers/roles/tests/9.4_plus/alter_login_role_options.sql
@@ -1,5 +1,5 @@
 -- Role: "Role2_$%{}[]()&*^!@""'`\/#"
--- DROP ROLE "Role2_$%{}[]()&*^!@""'`\/#";
+-- DROP ROLE IF EXISTS "Role2_$%{}[]()&*^!@""'`\/#";
 
 CREATE ROLE "Role2_$%{}[]()&*^!@""'`\/#" WITH
   LOGIN
diff --git a/web/pgadmin/browser/server_groups/servers/roles/tests/9.4_plus/alter_role_description.sql b/web/pgadmin/browser/server_groups/servers/roles/tests/9.4_plus/alter_role_description.sql
index ff2e6620..c3998071 100644
--- a/web/pgadmin/browser/server_groups/servers/roles/tests/9.4_plus/alter_role_description.sql
+++ b/web/pgadmin/browser/server_groups/servers/roles/tests/9.4_plus/alter_role_description.sql
@@ -1,5 +1,5 @@
 -- Role: "Role1_$%{}[]()&*^!@""'`\/#"
--- DROP ROLE "Role1_$%{}[]()&*^!@""'`\/#";
+-- DROP ROLE IF EXISTS "Role1_$%{}[]()&*^!@""'`\/#";
 
 CREATE ROLE "Role1_$%{}[]()&*^!@""'`\/#" WITH
   NOLOGIN
diff --git a/web/pgadmin/browser/server_groups/servers/roles/tests/9.4_plus/alter_role_name.sql b/web/pgadmin/browser/server_groups/servers/roles/tests/9.4_plus/alter_role_name.sql
index 5c757fc9..16fb4471 100644
--- a/web/pgadmin/browser/server_groups/servers/roles/tests/9.4_plus/alter_role_name.sql
+++ b/web/pgadmin/browser/server_groups/servers/roles/tests/9.4_plus/alter_role_name.sql
@@ -1,5 +1,5 @@
 -- Role: "Role2_$%{}[]()&*^!@""'`\/#"
--- DROP ROLE "Role2_$%{}[]()&*^!@""'`\/#";
+-- DROP ROLE IF EXISTS "Role2_$%{}[]()&*^!@""'`\/#";
 
 CREATE ROLE "Role2_$%{}[]()&*^!@""'`\/#" WITH
   NOLOGIN
diff --git a/web/pgadmin/browser/server_groups/servers/roles/tests/9.4_plus/alter_role_options1.sql b/web/pgadmin/browser/server_groups/servers/roles/tests/9.4_plus/alter_role_options1.sql
index 4c82ac17..f24d8d73 100644
--- a/web/pgadmin/browser/server_groups/servers/roles/tests/9.4_plus/alter_role_options1.sql
+++ b/web/pgadmin/browser/server_groups/servers/roles/tests/9.4_plus/alter_role_options1.sql
@@ -1,5 +1,5 @@
 -- Role: "Role2_$%{}[]()&*^!@""'`\/#"
--- DROP ROLE "Role2_$%{}[]()&*^!@""'`\/#";
+-- DROP ROLE IF EXISTS "Role2_$%{}[]()&*^!@""'`\/#";
 
 CREATE ROLE "Role2_$%{}[]()&*^!@""'`\/#" WITH
   NOLOGIN
diff --git a/web/pgadmin/browser/server_groups/servers/roles/tests/9.4_plus/alter_role_options2.sql b/web/pgadmin/browser/server_groups/servers/roles/tests/9.4_plus/alter_role_options2.sql
index bcd7e779..34be0176 100644
--- a/web/pgadmin/browser/server_groups/servers/roles/tests/9.4_plus/alter_role_options2.sql
+++ b/web/pgadmin/browser/server_groups/servers/roles/tests/9.4_plus/alter_role_options2.sql
@@ -1,5 +1,5 @@
 -- Role: "Role2_$%{}[]()&*^!@""'`\/#"
--- DROP ROLE "Role2_$%{}[]()&*^!@""'`\/#";
+-- DROP ROLE IF EXISTS "Role2_$%{}[]()&*^!@""'`\/#";
 
 CREATE ROLE "Role2_$%{}[]()&*^!@""'`\/#" WITH
   NOLOGIN
diff --git a/web/pgadmin/browser/server_groups/servers/roles/tests/9.4_plus/alter_role_options3.sql b/web/pgadmin/browser/server_groups/servers/roles/tests/9.4_plus/alter_role_options3.sql
index 17493540..b099718a 100644
--- a/web/pgadmin/browser/server_groups/servers/roles/tests/9.4_plus/alter_role_options3.sql
+++ b/web/pgadmin/browser/server_groups/servers/roles/tests/9.4_plus/alter_role_options3.sql
@@ -1,5 +1,5 @@
 -- Role: "Role2_$%{}[]()&*^!@""'`\/#"
--- DROP ROLE "Role2_$%{}[]()&*^!@""'`\/#";
+-- DROP ROLE IF EXISTS "Role2_$%{}[]()&*^!@""'`\/#";
 
 CREATE ROLE "Role2_$%{}[]()&*^!@""'`\/#" WITH
   NOLOGIN
diff --git a/web/pgadmin/browser/server_groups/servers/roles/tests/9.4_plus/alter_role_options4.sql b/web/pgadmin/browser/server_groups/servers/roles/tests/9.4_plus/alter_role_options4.sql
index 89a9da4f..454721fe 100644
--- a/web/pgadmin/browser/server_groups/servers/roles/tests/9.4_plus/alter_role_options4.sql
+++ b/web/pgadmin/browser/server_groups/servers/roles/tests/9.4_plus/alter_role_options4.sql
@@ -1,5 +1,5 @@
 -- Role: "Role2_$%{}[]()&*^!@""'`\/#"
--- DROP ROLE "Role2_$%{}[]()&*^!@""'`\/#";
+-- DROP ROLE IF EXISTS "Role2_$%{}[]()&*^!@""'`\/#";
 
 CREATE ROLE "Role2_$%{}[]()&*^!@""'`\/#" WITH
   NOLOGIN
diff --git a/web/pgadmin/browser/server_groups/servers/roles/tests/9.4_plus/create_login_role.sql b/web/pgadmin/browser/server_groups/servers/roles/tests/9.4_plus/create_login_role.sql
index 027c9d89..5f1cadca 100644
--- a/web/pgadmin/browser/server_groups/servers/roles/tests/9.4_plus/create_login_role.sql
+++ b/web/pgadmin/browser/server_groups/servers/roles/tests/9.4_plus/create_login_role.sql
@@ -1,5 +1,5 @@
 -- Role: "Role1_$%{}[]()&*^!@""'`\/#"
--- DROP ROLE "Role1_$%{}[]()&*^!@""'`\/#";
+-- DROP ROLE IF EXISTS "Role1_$%{}[]()&*^!@""'`\/#";
 
 CREATE ROLE "Role1_$%{}[]()&*^!@""'`\/#" WITH
   LOGIN
diff --git a/web/pgadmin/browser/server_groups/servers/roles/tests/9.4_plus/create_role.sql b/web/pgadmin/browser/server_groups/servers/roles/tests/9.4_plus/create_role.sql
index 7b922588..fd191d4c 100644
--- a/web/pgadmin/browser/server_groups/servers/roles/tests/9.4_plus/create_role.sql
+++ b/web/pgadmin/browser/server_groups/servers/roles/tests/9.4_plus/create_role.sql
@@ -1,5 +1,5 @@
 -- Role: "Role1_$%{}[]()&*^!@""'`\/#"
--- DROP ROLE "Role1_$%{}[]()&*^!@""'`\/#";
+-- DROP ROLE IF EXISTS "Role1_$%{}[]()&*^!@""'`\/#";
 
 CREATE ROLE "Role1_$%{}[]()&*^!@""'`\/#" WITH
   NOLOGIN
diff --git a/web/pgadmin/browser/server_groups/servers/tablespaces/__init__.py b/web/pgadmin/browser/server_groups/servers/tablespaces/__init__.py
index deaf72d2..d1217776 100644
--- a/web/pgadmin/browser/server_groups/servers/tablespaces/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/tablespaces/__init__.py
@@ -588,7 +588,7 @@ class TablespaceView(PGChildNodeView):
         sql_header = """
 -- Tablespace: {0}
 
--- DROP TABLESPACE {0};
+-- DROP TABLESPACE IF EXISTS {0};
 
 """.format(old_data['name'])
 
diff --git a/web/pgadmin/tools/erd/utils.py b/web/pgadmin/tools/erd/utils.py
index fd20835f..ef5520ed 100644
--- a/web/pgadmin/tools/erd/utils.py
+++ b/web/pgadmin/tools/erd/utils.py
@@ -21,7 +21,8 @@ class ERDTableView(BaseTableView, DataTypeReader):
 
     @BaseTableView.check_precondition
     def sql(self, conn_id=None, did=None, sid=None, data={}):
-        return BaseTableView.get_sql(self, did, None, None, data, None)
+        return BaseTableView.get_sql(self, did, None, None, data, None,
+                                     if_exists=True)
 
     @BaseTableView.check_precondition
     def get_types(self, conn_id=None, did=None, sid=None):
diff --git a/web/pgadmin/tools/schema_diff/directory_compare.py b/web/pgadmin/tools/schema_diff/directory_compare.py
index 8a1f5348..47bd5d76 100644
--- a/web/pgadmin/tools/schema_diff/directory_compare.py
+++ b/web/pgadmin/tools/schema_diff/directory_compare.py
@@ -49,6 +49,7 @@ def _get_source_list(**kwargs):
             temp_src_params = copy.deepcopy(source_params)
             temp_src_params['tid'] = source_object_id
             temp_src_params['json_resp'] = False
+            temp_src_params['if_exists'] = True
             source_ddl = \
                 view_object.get_sql_from_table_diff(**temp_src_params)
             temp_src_params.update({'target_schema': target_schema})
@@ -103,6 +104,8 @@ def _delete_keys(temp_tgt_params):
         del temp_tgt_params['gid']
     if 'json_resp' in temp_tgt_params:
         del temp_tgt_params['json_resp']
+    if 'if_exists' in temp_tgt_params:
+        del temp_tgt_params['if_exists']
 
 
 def _get_target_list(removed, target_dict, node, target_params, view_object,
@@ -129,6 +132,7 @@ def _get_target_list(removed, target_dict, node, target_params, view_object,
             temp_tgt_params = copy.deepcopy(target_params)
             temp_tgt_params['tid'] = target_object_id
             temp_tgt_params['json_resp'] = False
+            temp_tgt_params['if_exists'] = True
             target_ddl = view_object.get_sql_from_table_diff(**temp_tgt_params)
             _delete_keys(temp_tgt_params)
             diff_ddl = view_object.get_drop_sql(**temp_tgt_params)
